> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/bmc/load-balancing/describeloadbalancerspecs.md).

# DescribeLoadBalancerSpecs

## 1. API Description

This API (DescribeLoadBalancerSpecs) is used to query the list of available load balancer specifications in the zone.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                 | Description                                                                         |
| -------------- | -------- | -------------------------------------------------------------------- | ----------------------------------------------------------------------------------- |
| chargeType     | Yes      | [ChargeType](/api-reference/compute/bmc/datastructure.md#chargetype) | <p>Pricing model.</p><p>PREPAID : subscription;</p><p>POSTPAID : pay-as-you-go.</p> |
| zoneId         | Yes      | String                                                               | The zone ID.                                                                        |

## 3. Output Parameters

| Parameter Name | Type                                                                                      | Description                                                                                                           |
| -------------- | ----------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                    | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| specSet        | Array of [LoadBalancerSpec](/api-reference/compute/bmc/datastructure.md#loadbalancerspec) | Specification set.                                                                                                    |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the list of specifications of pay-as-you-go instances supported in HKG-A.**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeLoadBalancerSpecs
<Common Request Params>

Request:
{
  "zoneId": "HKG-A",
  "chargeType": "POSTPAID"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "specSet": [
      {
        "specName": "Premium",
        "maxConnection": 500000,
        "cps": 500000,
        "qps": 300000
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
